Herald
OpenapiLegal

Get the full localized detail of a single agreement type for a realm.

Public — no `inject_identity`. Unknown `agreementType` → 400; no effective version deployed → 404.

GET
/api/legal/{realmId}/agreements/{agreementType}

Public — no inject_identity. Unknown agreementType → 400; no effective version deployed → 404.

Path Parameters

realmId*string

Realm ID

agreementType*string

Agreement type: terms_of_service | privacy_policy

Query Parameters

locale?string

Preferred locale (falls back to default locale)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/legal/string/agreements/string"
{  "agreement_type": "string",  "content": null,  "effective_at": "2019-08-24T14:15:22Z",  "external_url": "string",  "mode": "full_text",  "summary": "string",  "title": "string",  "version_id": "9e94c502-ca41-4342-a7f7-af96b444512c",  "version_label": "string",  "version_no": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}